From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emulation/docker-credential-helpers/
Date: Fri, 3 May 2019 07:15:54 +0000 (UTC) [thread overview]
Message-ID: <1556867739.00581305676b1b485a95d24af7d9a656c8c74f65.mgorny@gentoo> (raw)
commit: 00581305676b1b485a95d24af7d9a656c8c74f65
Author: Rafael Kitover <rkitover <AT> gmail <DOT> com>
AuthorDate: Thu May 2 22:20:48 2019 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri May 3 07:15:39 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=00581305
app-emulation/docker-credential-helpers: new package
New ebuild for docker-credential-helpers, which has helper programs for
docker to store your password and other sensitive information.
This ebuild builds either docker-credential-secretservice, which uses
the D-Bus secret service API to talk to either kwallet or gnome-keyring;
or docker-credential-pass which relies on the pass utility; or both
depending on USE flags.
The supported USE flags are:
- 'gnome-keyring': build secretservice helper
- 'pass': build pass helper
A message is printed via elog() upon successful merge about how to use
the helper with docker.
Signed-off-by: Rafael Kitover <rkitover <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/9805
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
app-emulation/docker-credential-helpers/Manifest | 1 +
.../docker-credential-helpers-0.6.0.ebuild | 58 ++++++++++++++++++++++
.../docker-credential-helpers/metadata.xml | 27 ++++++++++
3 files changed, 86 insertions(+)
diff --git a/app-emulation/docker-credential-helpers/Manifest b/app-emulation/docker-credential-helpers/Manifest
new file mode 100644
index 00000000000..487217d743a
--- /dev/null
+++ b/app-emulation/docker-credential-helpers/Manifest
@@ -0,0 +1 @@
+DIST docker-credential-helpers-0.6.0.tar.gz 27441 BLAKE2B 6517f069782d5a496d3f140d86e5b1f32f197e9209ed61f75bfb9ba29cf0e1fa509bdbbbce2defc14ad0abe316632683cfad25e7ac9a6a1d70c3289e0ad489f5 SHA512 359e8ec700f423ce0687f13ce02946007f90456abe86659a87c59419ebde5e79adb4d28ee5e6a9762a44cfd65648c247629a5273326abf18a8880bee637e74d8
diff --git a/app-emulation/docker-credential-helpers/docker-credential-helpers-0.6.0.ebuild b/app-emulation/docker-credential-helpers/docker-credential-helpers-0.6.0.ebuild
new file mode 100644
index 00000000000..d1223733ba0
--- /dev/null
+++ b/app-emulation/docker-credential-helpers/docker-credential-helpers-0.6.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 2001-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="A suite of programs to use native stores to keep Docker credentials safe"
+HOMEPAGE="https://github.com/docker/docker-credential-helpers"
+EGO_PN=github.com/docker/docker-credential-helpers
+
+LICENSE="MIT"
+SLOT="0"
+
+if [[ ${PV} = *9999* ]]; then
+ inherit golang-vcs
+else
+ KEYWORDS="~amd64"
+ EGIT_COMMIT="v${PV}"
+ SRC_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+ inherit golang-vcs-snapshot
+fi
+inherit golang-build
+
+IUSE="gnome-keyring pass"
+REQUIRED_USE="|| ( gnome-keyring pass )"
+RESTRICT="test"
+
+DEPEND="gnome-keyring? ( app-crypt/libsecret )"
+
+RDEPEND="(
+ ${DEPEND}
+ pass? ( app-admin/pass )
+)
+"
+
+S=${WORKDIR}/${P}/src/${EGO_PN}
+
+src_compile() {
+ local -x GOPATH="${WORKDIR}/${P}"
+ use gnome-keyring && emake secretservice
+ use pass && emake pass
+}
+
+src_install() {
+ dobin bin/*
+ dodoc CHANGELOG.md MAINTAINERS README.md
+}
+
+pkg_postinst() {
+ if use gnome-keyring; then
+ elog "For gnome-keyring/kwallet add:\n"
+ elog ' "credStore": "secretservice"'"\n"
+ fi
+ if use pass; then
+ elog "For 'pass' add:\n"
+ elog ' "credStore": "pass"'"\n"
+ fi
+ elog "to your ~/.docker/config.json"
+}
diff --git a/app-emulation/docker-credential-helpers/metadata.xml b/app-emulation/docker-credential-helpers/metadata.xml
new file mode 100644
index 00000000000..1e58ef54d4d
--- /dev/null
+++ b/app-emulation/docker-credential-helpers/metadata.xml
@@ -0,0 +1,27 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <longdescription>
+ A suite of programs to use native stores to keep Docker credentials
+ safe. Currently provides docker-credential-secretservice to use the
+ D-Bus secret service APIs, and docker-credential-pass to use the
+ pass framework.
+ </longdescription>
+ <maintainer type="person">
+ <email>rkitover@gmail.com</email>
+ <name>Rafael Kitover</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <use>
+ <flag name="gnome-keyring">
+ Build secretservice helper which works with gnome-keyring or kwallet
+ using D-Bus.
+ </flag>
+ <flag name="pass">
+ Build pass helper for the pass utility.
+ </flag>
+ </use>
+</pkgmetadata>
next reply other threads:[~2019-05-03 7:15 UTC|newest]
Thread overview: 6+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-05-03 7:15 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2019-07-08 10:19 [gentoo-commits] repo/gentoo:master commit in: app-emulation/docker-credential-helpers/ Michał Górny
2019-08-10 5:06 Joonas Niilola
2020-03-03 14:54 Joonas Niilola
2020-10-06 14:00 Sam James
2021-04-29 14:19 Sam James
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1556867739.00581305676b1b485a95d24af7d9a656c8c74f65.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox